Package org.eclipse.wst.xml.xpath.ui.views

## org.eclipse.wst.xml.xpath.ui.views
Class XPathNavigator

    public class XPathNavigator
    extends ViewPart

## Field Summary

`protected IMemento` | `memento`
`public static java.lang.String` | `MEMENTO_QUERYCONTEXT_DOCUMENT`
`public static java.lang.String` | `MEMENTO_QUERYCONTEXT_KEY`
`public static java.lang.String` | `MEMENTO_QUERYCONTEXT_SELECTION`
`public static java.lang.String` | `MEMENTO_XPATHNAVIGATOR_SECTION`
`public static java.lang.String` | `MEMENTO_XPATHQUERY_KEY`
`protected java.util.WeakHashMap` | `namespaceInfo`

## Constructor Summary

`XPathNavigator()`
`XPathNavigator.EditorReferenceLabelProvider()`
`XPathNavigator.RefreshAction()`
`XPathNavigator.ShowInSourceAction()`
`XPathNavigator.XMLEditorsContentProvider()`
`XPathNavigator.XPathAction()`

## Method Summary

`public void` | `createPartControl(Composite parent)` This is a callback that will allow us to create the viewer and initialize it.
`protected org.w3c.dom.Element` | `getQueryContext()`
`protected org.w3c.dom.Document` | `getSelectedDocument()`
`public void` | `init(IViewSite site , IMemento memento)`
`protected void` | `restoreState()`
`public void` | `saveState(IMemento memento)`
`public void` | `setFocus()` Passing the focus request to the viewer's control.
`public void` | `update()`

## Field Detail

## memento

`protected IMemento memento`

## MEMENTO_QUERYCONTEXT_DOCUMENT

`public static java.lang.String MEMENTO_QUERYCONTEXT_DOCUMENT`

## MEMENTO_QUERYCONTEXT_KEY

`public static java.lang.String MEMENTO_QUERYCONTEXT_KEY`

## MEMENTO_QUERYCONTEXT_SELECTION

`public static java.lang.String MEMENTO_QUERYCONTEXT_SELECTION`

## MEMENTO_XPATHNAVIGATOR_SECTION

`public static java.lang.String MEMENTO_XPATHNAVIGATOR_SECTION`

## MEMENTO_XPATHQUERY_KEY

`public static java.lang.String MEMENTO_XPATHQUERY_KEY`

## namespaceInfo

`protected java.util.WeakHashMap namespaceInfo`

## Constructor Detail

## XPathNavigator

`public XPathNavigator()`

## Methods Detail

## createPartControl

`public void createPartControl(Composite parent)`

This is a callback that will allow us to create the viewer and initialize it.

### Parameters

`parent`

## getQueryContext

`protected org.w3c.dom.Element getQueryContext()`

### Returns

`org.w3c.dom.Element`

## getSelectedDocument

`protected org.w3c.dom.Document getSelectedDocument()`

### Returns

`org.w3c.dom.Document`

## init

`public void init(IViewSite site , IMemento memento)`

### Parameters

`site`

`memento`

### Throws:

`PartInitException`

## restoreState

`protected void restoreState()`

## saveState

`public void saveState(IMemento memento)`

### Parameters

`memento`

## setFocus

`public void setFocus()`

Passing the focus request to the viewer's control.

## update

`public void update()`